# -*- rpm-spec -*-
# $Id: slmodemd,v 1.4 2005/04/28 10:19:46 grigory Exp $

%define module_name     slmodem
%define module_version  2.9.10

Name: slmodemd
Summary: SmartLink softmodem
Version: 2.9.10
Release: alt3
License: Distributable
Group: System/Servers

Source0: slmodemd.init
Patch0: slmodem-2.9.9-devicename.patch

# Automatically added by buildreq on Wed Apr 27 2005
BuildRequires: kernel-source-slmodem libalsa-devel

%description
Daemon for Smartlink SoftModem handling

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch0 -p1

%build

%make_build -C modem SUPPORT_ALSA=1

%install

%__mkdir_p %buildroot{%_sbindir,%_initdir,/var/lib/slmodem}

%__install modem/%name %buildroot%_sbindir
%__install %SOURCE0 %buildroot%_initdir/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%dir /var/lib/slmodem
%attr (755,root,root) %_sbindir/%name
%attr (755,root,root) %_initdir/%name

%changelog
* Thu Apr 28 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt3
- added missing directory

* Wed Apr 27 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt2
- compile with alsa support

* Tue Apr 26 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt1
- new version released
- use shared sources from package kernel-source-slmodem

* Wed Apr 14 2004 Grigory Milev <week@altlinux.ru> 2.9.6-alt1
- new version released

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1
- Initial build


